## Enumerations

Enumerations — Public enumerated types used throughout OGMDvd

## Types and Values

enum | OGMDvdVideoFormat
enum | OGMDvdDisplayAspect
enum | OGMDvdDisplayFormat
enum | OGMDvdAudioFormat
enum | OGMDvdAudioChannels
enum | OGMDvdAudioQuantization
enum | OGMDvdAudioContent
enum | OGMDvdSubpContent

## Object Hierarchy

## Includes

    #include <ogmdvd-enums.h>

## Description

## Functions

## Types and Values

### enum OGMDvdVideoFormat

The video format of the DVD title

#### Members

OGMDVD_VIDEO_FORMAT_NTSC | The title is NTSC |
OGMDVD_VIDEO_FORMAT_PAL | The title is PAL |

### enum OGMDvdDisplayAspect

The display aspect of the DVD title

#### Members

OGMDVD_DISPLAY_ASPECT_4_3 | The title is 4/3 |
OGMDVD_DISPLAY_ASPECT_16_9 | The title is 16/9 |

### enum OGMDvdDisplayFormat

The display format of the DVD title

#### Members

OGMDVD_DISPLAY_FORMAT_PS_LETTER | The title is pan & scan letter |
OGMDVD_DISPLAY_FORMAT_PAN_SCAN | The title is is pan & scan |
OGMDVD_DISPLAY_FORMAT_LETTERBOX | The title is letterbox |

### enum OGMDvdAudioFormat

The format of the audio stream

#### Members

OGMDVD_AUDIO_FORMAT_AC3 | The stream is in AC3 |
OGMDVD_AUDIO_FORMAT_MPEG1 | The stream is in Mpeg-1 |
OGMDVD_AUDIO_FORMAT_MPEG2EXT | The stream is in Mpeg-2 extended |
OGMDVD_AUDIO_FORMAT_LPCM | The stream is in LPCM |
OGMDVD_AUDIO_FORMAT_SDDS | The stream is in SDDS |
OGMDVD_AUDIO_FORMAT_DTS | The stream is in DTS |

### enum OGMDvdAudioChannels

The number of channels of the audio stream

#### Members

OGMDVD_AUDIO_CHANNELS_MONO | The stream is mono |
OGMDVD_AUDIO_CHANNELS_STEREO | The stream is stereo |
OGMDVD_AUDIO_CHANNELS_SURROUND | The stream is surround |
OGMDVD_AUDIO_CHANNELS_5_1 | The stream is 5.1 |

### enum OGMDvdAudioQuantization

The quantization of the audio stream

#### Members

OGMDVD_AUDIO_QUANTIZATION_16 | The stream is quantized in 16 bits |
OGMDVD_AUDIO_QUANTIZATION_20 | The stream is quantized in 20 bits |
OGMDVD_AUDIO_QUANTIZATION_24 | The stream is quantized in 24 bits |
OGMDVD_AUDIO_QUANTIZATION_DRC | The stream is quantized in DRC |

### enum OGMDvdAudioContent

The content of the audio stream

#### Members

OGMDVD_AUDIO_CONTENT_UNDEFINED | The stream has undefined content |
OGMDVD_AUDIO_CONTENT_NORMAL | The stream has normal content |
OGMDVD_AUDIO_CONTENT_IMPAIRED | The stream has content for impaired audience |
OGMDVD_AUDIO_CONTENT_COMMENTS1 | The stream is a commentary |
OGMDVD_AUDIO_CONTENT_COMMENTS2 | The stream is a commentary |

### enum OGMDvdSubpContent

The content of the subtitle stream

#### Members

OGMDVD_SUBP_CONTENT_UNDEFINED | The stream has undefined content |
OGMDVD_SUBP_CONTENT_NORMAL | The stream has normal content |
OGMDVD_SUBP_CONTENT_LARGE | The stream has large content |
OGMDVD_SUBP_CONTENT_CHILDREN | The stream has content for children |
OGMDVD_SUBP_CONTENT_RESERVED1 | Reserved |
OGMDVD_SUBP_CONTENT_NORMAL_CC | The stream has normal closed caption content |
OGMDVD_SUBP_CONTENT_LARGE_CC | The stream has large closed caption content |
OGMDVD_SUBP_CONTENT_CHILDREN_CC | The stream has closed caption content for children |
OGMDVD_SUBP_CONTENT_RESERVED2 | Reserved |
OGMDVD_SUBP_CONTENT_FORCED | The stream has forced content |
OGMDVD_SUBP_CONTENT_RESERVED3 | Reserved |
OGMDVD_SUBP_CONTENT_RESERVED4 | Reserved |
OGMDVD_SUBP_CONTENT_RESERVED5 | Reserved |
OGMDVD_SUBP_CONTENT_DIRECTOR | The stream has director commentary content |
OGMDVD_SUBP_CONTENT_LARGE_DIRECTOR | The stream has large director commentary content |
OGMDVD_SUBP_CONTENT_CHILDREN_DIRECTOR | The stream has director commentary content for children |